VismaBouwsoftAPICalls.v1_GET_CompanyDetails Method
v1_GET_CompanyDetails() as String

This API call is used to get fields of a(n) CompanyDetail(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /CompanyDetails/
or
API Path: /CompanyDetails/{id}
or
API Path: /CompanyDetails/FieldInfo/

You can make this API call:
* without the key field id to get a list of CompanyDetails
* with the key field id as the path parameter (the specific id of the CompanyDetail you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Name Length Required Writeable Force Write Link
salutation tpString 30 No No No
name tpString 250 No No No
address tpString 63 No No No
addressline2 tpString 63 No No No
countrycode tpString 2 No No No
zipcode tpString 15 No No No
city tpString 40 No No No
state tpString 40 No No No
telephone1 tpTelefoon 25 No No No
telephone2 tpTelefoon 25 No No No
fax tpFax 25 No No No
gsm tpTelefoon 25 No No No
email tpEmail 60 No No No
vatnr tpString 30 No No No
iban1 tpString 35 No No No
bic1 tpString 11 No No No
iban2 tpString 35 No No No
bic2 tpString 11 No No No

/CompanyDetails/

API Path: /CompanyDetails/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CompanyDetails

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: GbjfWxfUmPzSfVlmbtzRqkGAfUAIIOmAjbrtzUOIlDIGAGGAIl
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/16”, “Records”: [
  {
    "id": 1,
    "salutation": "Dhr.",
    "name": "Bouwsoft",
    "address": "Molenweg 9",
    "addressline2": "",
    "countrycode": "BE",
    "zipcode": "8377",
    "city": "Meetkerke",
    "state": "West-vlaanderen",
    "telephone1": "+32 50 12 34 56 ",
    "telephone2": "+32 50 45 40 81 ",
    "fax": "+32 50 45 40 80 ",
    "gsm": "+32 50 45 40 80 ",
    "email": "bert@bouwsoft.be",
    "vatnr": "BE0466.415.194",
    "iban1": "BE23979969475191",
    "bic1": "ARSP BE 22",
    "iban2": "BE48731040754927",
    "bic2": "KRED BE BB"
  },
  {
    "id": 2,
    "salutation": "",
    "name": "Groensoft",
    "address": "Groenstraat 3",
    "addressline2": "",
    "countrycode": "BE",
    "zipcode": "8000",
    "city": "Brugge",
    "state": "West-Vlaanderen",
    "telephone1": "+32 50 12 45 32 ",
    "telephone2": "",
    "fax": "",
    "gsm": "",
    "email": "bert@bouwsoft.be",
    "vatnr": "BE 0466.415.194",
    "iban1": "BE67001332313487",
    "bic1": "GEBA BE BB",
    "iban2": "",
    "bic2": ""
  }
,

]
}

/CompanyDetails/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CompanyDetails/13

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: fDVfWxfVmUzSfAGAbfzRqkDVfGfjkGDAfrOkztOlfAlIDkUkmU

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 13,
    "salutation": "",
    "name": "D.Dot.Com",
    "address": "Molenweg 9",
    "addressline2": "",
    "countrycode": "BE",
    "zipcode": "8377",
    "city": "Zuienkerke",
    "state": "West-vlaanderen",
    "telephone1": "",
    "telephone2": "",
    "fax": "",
    "gsm": "",
    "email": "",
    "vatnr": "",
    "iban1": "BE72979974404916",
    "bic1": "ARSP BE 22",
    "iban2": "BE80778598860877",
    "bic2": "GKCC BE BB"
  }
]
}

/CompanyDetails/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CompanyDetails/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "salutation",
    "type_id": 2,
    "type_name": "tpString",
    "length": 30,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "name",
    "type_id": 2,
    "type_name": "tpString",
    "length": 250,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]